<template>
  <form action="#">
    <label :data-state="state">
      <input type="text" placeholder="Search" @click="state = 'open'" @blur="state='close'"/>
      <v-icon size="28">mdi-magnify</v-icon>
    </label>
  </form>
</template>

<script lang="ts">
import Vue from 'vue';
import { Component } from 'vue-property-decorator';

@Component
export default class Search extends Vue {
  private state = 'close';
}
</script>

<style src="./Search.scss" lang="scss"></style>
